//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM1.04-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t=' ';
	delay_init();
	LED_Init();
	OLED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
  OLED_DisplayTurn(0);//0normal display 1 Flip Display
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,128,32,BMP1,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
    OLED_ShowChinese(0,0,0,16,1);//
		OLED_ShowChinese(18,0,1,16,1);//
		OLED_ShowChinese(36,0,2,16,1);//
		OLED_ShowChinese(54,0,3,16,1);//
		OLED_ShowChinese(72,0,4,16,1);//
		OLED_ShowChinese(90,0,5,16,1);//
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowString(8,0,"EASTRISING",16,1);
		OLED_ShowChar(48,16,t,16,1);//ASCII  
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(103,48,t,3,16,1);
	  		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
}
}
